mediawiki/semantic-extra-special-properties

Provides extra special properties for Semantic MediaWiki

Installs: 1 102

Dependents: 1

Stars: 12

Watchers: 7

Forks: 3

Open Issues: 3

Language: PHP

1.3.1 2015-07-18 16:01 UTC

README

Build Status Code Coverage Scrutinizer Quality Score Latest Stable Version Packagist download count Dependency Status

Semantic Extra Special Properties (a.k.a. SESP) is an extension to Semantic MediaWiki which adds some extra special properties to enabled content pages.

Requirements

  • PHP 5.3 or later
  • MediaWiki 1.20 or later
  • Semantic MediaWiki 1.9 or later
  • When using MySQL 5 or later or when using SQLite 3 or later

Installation

The recommended way to install Semantic Extra Special Properties is by using Composer with an entry in MediaWiki's composer.json.

{
    "require": {
        "mediawiki/semantic-extra-special-properties": "~1.3"
    }
}
  1. From your MediaWiki installation directory, execute composer require mediawiki/semantic-extra-special-properties:~1.3
  2. It is strongly recommended to rebuild existing semantic data and run Semantic MediaWiki's rebuild data process.
  3. Navigate to Special:Version on your wiki and verify that the package have been successfully installed.

Usage

The annotation process for predefined properties is mostly done in the background and therefore doesn't need any special interaction from a user but LocalSettings for SESP need to be enabled.

For details on how to adjust the settings, please have a look at the configuration guideline.

Contribution and support

If you have remarks, questions, or suggestions, please send them to semediawiki-users@lists.sourceforge.net. You can subscribe to this list here.

If you want to contribute work to the project please subscribe to the developers mailing list and have a look at the contribution guildline. A list of people who have made contributions in the past can be found here.

Tests

This extension provides unit and integration tests that are run by a continues integration platform but can also be executed using composer phpunit from the extension base directory.

License

GNU General Public License 2.0 or later